using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        RadGrid1.NeedDataSource += new GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);  
    }
    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadComboBox combo = Master.FindControl("combo") as RadComboBox;

        if (combo != null)
        {
            if (combo.SelectedValue == "0")
            {
                RadGrid1.DataSource = SqlDataSource1.Select(new DataSourceSelectArguments());
            }
            else
            {
                RadGrid1.DataSource = SqlDataSource2.Select(new DataSourceSelectArguments());
            }
        }
    }
}
